Package: groovy.swing.factory

## [Groovy] Class LineBorderFactory

- groovy.swing.factory.LineBorderFactory

-     class LineBorderFactory
      extends SwingBorderFactory

  accepts attributes:
  color: java.awt.Color
  color: java.awt.Color, thickness: int
  color: java.awt.Color, thickness: int, roundedBorders: boolean

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LineBorderFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SwingBorderFactory` | `isLeaf, onHandleNodeAttributes, setParent`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### LineBorderFactory()

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)